qpid-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From acon...@apache.org
Subject svn commit: r1623900 - /qpid/dispatch/trunk/bin/release.sh
Date Wed, 10 Sep 2014 03:45:38 GMT
Author: aconway
Date: Wed Sep 10 03:45:38 2014
New Revision: 1623900

URL: http://svn.apache.org/r1623900
Log:
NO-JIRA: bin/release.sh verifies that the release version matches VERSION.txt in the checkout.

Modified:
    qpid/dispatch/trunk/bin/release.sh

Modified: qpid/dispatch/trunk/bin/release.sh
URL: http://svn.apache.org/viewvc/qpid/dispatch/trunk/bin/release.sh?rev=1623900&r1=1623899&r2=1623900&view=diff
==============================================================================
--- qpid/dispatch/trunk/bin/release.sh (original)
+++ qpid/dispatch/trunk/bin/release.sh Wed Sep 10 03:45:38 2014
@@ -77,14 +77,19 @@ FILENAME=$PWD/${BASENAME}.tar.gz
 
 if [ -f $FILENAME ]; then rm -f $FILENAME; fi
 
-(
 echo "Checking out to ${WORKDIR}..."
 cd $WORKDIR
-svn export -r ${SVNREV} ${URL} ${BASENAME} >/dev/null
 
-echo "Building source tarball..."
+svn export -r ${SVNREV} ${URL} ${BASENAME} >/dev/null || exit 1
+
+BUILD_VERSION=$(cat $WORKDIR/$BASENAME/VERSION.txt) || exit 1
+test "$VERSION" == "$BUILD_VERSION" || {
+    echo "Version mismatch: $VERSION != $BUILD_VERSION. Please update VERSION.txt in SVN"
+    exit 1
+}
+
+echo "Building source tarball $FILENAME"
 cd $WORKDIR
-tar --exclude release.sh -zcvf $FILENAME ${BASENAME} >/dev/null
-)
+tar --exclude release.sh -zcvf $FILENAME ${BASENAME} >/dev/null || exit 1
 
 echo "Done!"



---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@qpid.apache.org
For additional commands, e-mail: commits-help@qpid.apache.org


Mime
View raw message